aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiquel Sabaté Solà <mikisabate@gmail.com>2025-07-08 23:20:47 +0200
committerMiquel Sabaté Solà <mikisabate@gmail.com>2025-07-08 23:20:47 +0200
commit8fdddf66ed136f1bbd8b9dcc9b9dd62fee2f9a6a (patch)
tree952c7b68c65807de650a6f9506ebe4085e10a44b
parent65ea38bbbb589f18c8a679e518dc479f5d79f64a (diff)
downloaddotfiles-8fdddf66ed136f1bbd8b9dcc9b9dd62fee2f9a6a.tar.gz
dotfiles-8fdddf66ed136f1bbd8b9dcc9b9dd62fee2f9a6a.zip
bin: Add zypper-rdup helper script
Signed-off-by: Miquel Sabaté Solà <mikisabate@gmail.com>
-rwxr-xr-xbin/zypper-rdup20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/zypper-rdup b/bin/zypper-rdup
new file mode 100755
index 0000000..b84d968
--- /dev/null
+++ b/bin/zypper-rdup
@@ -0,0 +1,20 @@
+#!/bin/bash
+# Copyright (C) 2025-Ω Miquel Sabaté Solà <mikisabate@gmail.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+# Yeah, this is just a shortcut for ref & dup.
+sudo zypper ref && sudo zypper dup